> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create batch

> Create a new orchestration batch



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /orchestration/batches
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/batches:
    post:
      tags:
        - Orchestration - Batches
      summary: Create batch
      description: Create a new orchestration batch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workflowUuid:
                  title: Workflow UUID
                  description: Workflow identifier.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                releaseUuid:
                  title: Release UUID
                  description: Release identifier to run.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                nodes:
                  title: Nodes
                  description: Custom nodes to use for the batch.
                  type: array
                  items:
                    allOf:
                      - type: object
                        properties:
                          uuid:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                          slug:
                            type: string
                            pattern: ^\w+$
                          name:
                            type: string
                          config:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                          description:
                            type: string
                          retry:
                            type: object
                            properties:
                              maximumAttempts:
                                type: number
                              initialInterval:
                                type: number
                              backoffCoefficient:
                                type: number
                          childrenUuids:
                            type: array
                            items:
                              anyOf:
                                - type: string
                                - type: 'null'
                          fallbackChildUuid:
                            type: string
                          fallbackOnFailure:
                            type: boolean
                          position:
                            type: object
                            properties:
                              x:
                                type: number
                              'y':
                                type: number
                            required:
                              - x
                              - 'y'
                        required:
                          - uuid
                          - slug
                          - config
                          - childrenUuids
                          - fallbackOnFailure
                          - position
                      - anyOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - native
                              actionSlug:
                                type: string
                            required:
                              - kind
                              - actionSlug
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - connector
                              connectorUuid:
                                type: string
                              integrationSlug:
                                type: string
                              actionSlug:
                                type: string
                            required:
                              - kind
                              - integrationSlug
                              - actionSlug
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - tool
                              toolUuid:
                                type: string
                              templateSlug:
                                type: string
                              releaseUuid:
                                type: string
                              waitUntilFinished:
                                type: boolean
                            required:
                              - kind
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - agent
                              agentUuid:
                                type: string
                              templateSlug:
                                type: string
                              releaseUuid:
                                type: string
                              waitUntilFinished:
                                type: boolean
                            required:
                              - kind
                data:
                  anyOf:
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - segment
                          title: Kind
                          description: Data kind.
                        segmentUuid:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                          title: Segment UUID
                          description: Segment identifier.
                      required:
                        - kind
                        - segmentUuid
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - change
                          title: Kind
                          description: Data kind.
                        changeUuid:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                          title: Change UUID
                          description: Change identifier.
                        changeKinds:
                          type: array
                          items:
                            type: string
                            enum:
                              - added
                              - updated
                              - removed
                              - unchanged
                          title: Change kinds
                          description: Change kinds to include.
                      required:
                        - kind
                        - changeUuid
                        - changeKinds
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - filter
                          title: Kind
                          description: Data kind.
                        modelUuid:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                          title: Model UUID
                          description: Model identifier.
                        filter:
                          title: Filter
                          description: Filter criteria.
                          type: object
                          properties:
                            conjonction:
                              type: string
                              enum:
                                - or
                                - and
                            groups:
                              type: array
                              items:
                                type: object
                                properties:
                                  conjonction:
                                    type: string
                                    enum:
                                      - or
                                      - and
                                  conditions:
                                    type: array
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: sql
                                            name:
                                              type: string
                                            clause:
                                              type: string
                                          required:
                                            - kind
                                            - name
                                            - clause
                                        - allOf:
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: string
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                              required:
                                                - kind
                                                - columnSlug
                                            - anyOf:
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - is
                                                        - isNot
                                                        - contains
                                                        - doesNotContain
                                                        - startsWith
                                                        - endsWith
                                                    values:
                                                      anyOf:
                                                        - type: string
                                                        - type: array
                                                          items:
                                                            type: string
                                                  required:
                                                    - operator
                                                    - values
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - isNull
                                                        - isNotNull
                                                        - isEmpty
                                                        - isNotEmpty
                                                  required:
                                                    - operator
                                        - allOf:
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: number
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                              required:
                                                - kind
                                                - columnSlug
                                            - anyOf:
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - is
                                                        - isNot
                                                        - greaterThan
                                                        - lowerThan
                                                    value:
                                                      type: number
                                                  required:
                                                    - operator
                                                    - value
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: between
                                                    firstValue:
                                                      type: number
                                                    lastValue:
                                                      type: number
                                                  required:
                                                    - operator
                                                    - firstValue
                                                    - lastValue
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - isNull
                                                        - isNotNull
                                                  required:
                                                    - operator
                                        - allOf:
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: objectProperty
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                                propertyName:
                                                  type: string
                                              required:
                                                - kind
                                                - columnSlug
                                                - propertyName
                                            - anyOf:
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - is
                                                        - isNot
                                                        - contains
                                                        - greaterThan
                                                        - lowerThan
                                                        - doesNotContain
                                                        - startsWith
                                                        - endsWith
                                                    value:
                                                      type: string
                                                  required:
                                                    - operator
                                                    - value
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - isNull
                                                        - isNotNull
                                                        - isEmpty
                                                        - isNotEmpty
                                                  required:
                                                    - operator
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: between
                                                    value:
                                                      type: string
                                                    otherValue:
                                                      type: string
                                                  required:
                                                    - operator
                                                    - value
                                                    - otherValue
                                        - allOf:
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: object
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                              required:
                                                - kind
                                                - columnSlug
                                            - anyOf:
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: isNull
                                                  required:
                                                    - operator
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: isNotNull
                                                  required:
                                                    - operator
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: matchConditions
                                                    conjonction:
                                                      type: string
                                                      enum:
                                                        - or
                                                        - and
                                                    propertyConditions:
                                                      type: array
                                                      items:
                                                        allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: objectProperty
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                              propertyName:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                              - propertyName
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - contains
                                                                      - greaterThan
                                                                      - lowerThan
                                                                      - doesNotContain
                                                                      - startsWith
                                                                      - endsWith
                                                                  value:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                      - isEmpty
                                                                      - isNotEmpty
                                                                required:
                                                                  - operator
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: between
                                                                  value:
                                                                    type: string
                                                                  otherValue:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                                  - otherValue
                                                  required:
                                                    - operator
                                                    - conjonction
                                                    - propertyConditions
                                        - allOf:
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: array
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                              required:
                                                - kind
                                                - columnSlug
                                            - anyOf:
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: isNull
                                                  required:
                                                    - operator
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: isNotNull
                                                  required:
                                                    - operator
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: matchConditions
                                                    conjonction:
                                                      type: string
                                                      enum:
                                                        - or
                                                        - and
                                                    propertyConditions:
                                                      type: array
                                                      items:
                                                        allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: objectProperty
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                              propertyName:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                              - propertyName
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - contains
                                                                      - greaterThan
                                                                      - lowerThan
                                                                      - doesNotContain
                                                                      - startsWith
                                                                      - endsWith
                                                                  value:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                      - isEmpty
                                                                      - isNotEmpty
                                                                required:
                                                                  - operator
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: between
                                                                  value:
                                                                    type: string
                                                                  otherValue:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                                  - otherValue
                                                  required:
                                                    - operator
                                                    - conjonction
                                                    - propertyConditions
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: any
                                            relatedModelUuid:
                                              type: string
                                            columnSlug:
                                              type: string
                                            operator:
                                              type: string
                                              enum:
                                                - isNull
                                                - isNotNull
                                          required:
                                            - kind
                                            - columnSlug
                                            - operator
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: vector
                                            relatedModelUuid:
                                              type: string
                                            columnSlug:
                                              type: string
                                            operator:
                                              type: string
                                              enum:
                                                - isNull
                                                - isNotNull
                                          required:
                                            - kind
                                            - columnSlug
                                            - operator
                                        - allOf:
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: date
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                              required:
                                                - kind
                                                - columnSlug
                                            - anyOf:
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - is
                                                        - isNot
                                                        - greaterThan
                                                        - lowerThan
                                                    value:
                                                      type: string
                                                  required:
                                                    - operator
                                                    - value
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: between
                                                    firstValue:
                                                      type: string
                                                    lastValue:
                                                      type: string
                                                  required:
                                                    - operator
                                                    - firstValue
                                                    - lastValue
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - isNull
                                                        - isNotNull
                                                  required:
                                                    - operator
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: boolean
                                            relatedModelUuid:
                                              type: string
                                            columnSlug:
                                              type: string
                                            operator:
                                              type: string
                                              enum:
                                                - isTrue
                                                - isFalse
                                                - isNull
                                                - isNotNull
                                          required:
                                            - kind
                                            - columnSlug
                                            - operator
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: occurrence
                                            relatedModelUuid:
                                              type: string
                                            frequency:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: not
                                                  required:
                                                    - operator
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - moreThan
                                                        - lessThan
                                                        - exactly
                                                    value:
                                                      type: number
                                                  required:
                                                    - operator
                                                    - value
                                            period:
                                              type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - lessThan
                                                    - moreThan
                                                    - exactly
                                                value:
                                                  type: number
                                                unit:
                                                  type: string
                                                  const: day
                                              required:
                                                - operator
                                                - value
                                                - unit
                                            conjonction:
                                              type: string
                                              enum:
                                                - or
                                                - and
                                            conditions:
                                              type: array
                                              items:
                                                anyOf:
                                                  - allOf:
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: string
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                      - anyOf:
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - is
                                                                  - isNot
                                                                  - contains
                                                                  - doesNotContain
                                                                  - startsWith
                                                                  - endsWith
                                                              values:
                                                                anyOf:
                                                                  - type: string
                                                                  - type: array
                                                                    items:
                                                                      type: {}
                                                            required:
                                                              - operator
                                                              - values
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - isNull
                                                                  - isNotNull
                                                                  - isEmpty
                                                                  - isNotEmpty
                                                            required:
                                                              - operator
                                                  - allOf:
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: number
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                      - anyOf:
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - is
                                                                  - isNot
                                                                  - greaterThan
                                                                  - lowerThan
                                                              value:
                                                                type: number
                                                            required:
                                                              - operator
                                                              - value
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                const: between
                                                              firstValue:
                                                                type: number
                                                              lastValue:
                                                                type: number
                                                            required:
                                                              - operator
                                                              - firstValue
                                                              - lastValue
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - isNull
                                                                  - isNotNull
                                                            required:
                                                              - operator
                                                  - allOf:
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: object
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                      - anyOf:
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                const: isNull
                                                            required:
                                                              - operator
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                const: isNotNull
                                                            required:
                                                              - operator
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                const: matchConditions
                                                              conjonction:
                                                                type: string
                                                                enum:
                                                                  - or
                                                                  - and
                                                              propertyConditions:
                                                                type: array
                                                                items:
                                                                  allOf:
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                    - anyOf: {}
                                                            required:
                                                              - operator
                                                              - conjonction
                                                              - propertyConditions
                                                  - allOf:
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: array
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                      - anyOf:
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                const: isNull
                                                            required:
                                                              - operator
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                const: isNotNull
                                                            required:
                                                              - operator
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                const: matchConditions
                                                              conjonction:
                                                                type: string
                                                                enum:
                                                                  - or
                                                                  - and
                                                              propertyConditions:
                                                                type: array
                                                                items:
                                                                  allOf:
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                    - anyOf: {}
                                                            required:
                                                              - operator
                                                              - conjonction
                                                              - propertyConditions
                                                  - type: object
                                                    properties:
                                                      kind:
                                                        type: string
                                                        const: any
                                                      relatedModelUuid:
                                                        type: string
                                                      columnSlug:
                                                        type: string
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - isNull
                                                          - isNotNull
                                                    required:
                                                      - kind
                                                      - columnSlug
                                                      - operator
                                                  - type: object
                                                    properties:
                                                      kind:
                                                        type: string
                                                        const: vector
                                                      relatedModelUuid:
                                                        type: string
                                                      columnSlug:
                                                        type: string
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - isNull
                                                          - isNotNull
                                                    required:
                                                      - kind
                                                      - columnSlug
                                                      - operator
                                                  - allOf:
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: date
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                      - anyOf:
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - is
                                                                  - isNot
                                                                  - greaterThan
                                                                  - lowerThan
                                                              value:
                                                                type: string
                                                            required:
                                                              - operator
                                                              - value
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                const: between
                                                              firstValue:
                                                                type: string
                                                              lastValue:
                                                                type: string
                                                            required:
                                                              - operator
                                                              - firstValue
                                                              - lastValue
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - isNull
                                                                  - isNotNull
                                                            required:
                                                              - operator
                                                  - type: object
                                                    properties:
                                                      kind:
                                                        type: string
                                                        const: boolean
                                                      relatedModelUuid:
                                                        type: string
                                                      columnSlug:
                                                        type: string
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - isTrue
                                                          - isFalse
                                                          - isNull
                                                          - isNotNull
                                                    required:
                                                      - kind
                                                      - columnSlug
                                                      - operator
                                          required:
                                            - kind
                                            - relatedModelUuid
                                            - frequency
                                            - period
                                            - conjonction
                                            - conditions
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: enrollment
                                            workflowUuid:
                                              type: string
                                            activityKind:
                                              type: string
                                              enum:
                                                - workflowEntered
                                                - workflowNodeExecuted
                                                - workflowLeft
                                            nodeSlug:
                                              type: string
                                            frequency:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      const: not
                                                  required:
                                                    - operator
                                                - type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - moreThan
                                                        - lessThan
                                                        - exactly
                                                    value:
                                                      type: number
                                                  required:
                                                    - operator
                                                    - value
                                            period:
                                              type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - lessThan
                                                    - moreThan
                                                    - exactly
                                                value:
                                                  type: number
                                                unit:
                                                  type: string
                                                  const: day
                                              required:
                                                - operator
                                                - value
                                                - unit
                                          required:
                                            - kind
                                            - workflowUuid
                                            - activityKind
                                            - frequency
                                            - period
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: segment
                                            segmentUuid:
                                              type: string
                                            operator:
                                              type: string
                                              enum:
                                                - in
                                                - notIn
                                          required:
                                            - kind
                                            - segmentUuid
                                            - operator
                                required:
                                  - conjonction
                                  - conditions
                          required:
                            - conjonction
                            - groups
                        sort:
                          title: Sort
                          description: Sort criteria.
                          type: array
                          items:
                            type: object
                            properties:
                              columnSlug:
                                type: string
                              kind:
                                type: string
                                enum:
                                  - asc
                                  - desc
                            required:
                              - columnSlug
                              - kind
                        limit:
                          title: Limit
                          description: Maximum number of records.
                          type: number
                      required:
                        - kind
                        - modelUuid
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - file
                          title: Kind
                          description: Data kind.
                        s3Filename:
                          type: string
                          title: S3 filename
                          description: S3 file identifier.
                        mappings:
                          title: Mappings
                          description: Field mappings for file data.
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties:
                            type: string
                      required:
                        - kind
                        - s3Filename
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - runs
                          title: Kind
                          description: Data kind.
                        filter:
                          allOf:
                            - type: object
                              properties:
                                batchUuid:
                                  title: Batch UUID
                                  description: Batch identifier to filter by.
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                releaseUuid:
                                  title: Release UUID
                                  description: Release identifier to filter by.
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                parentBatchUuid:
                                  title: Parent batch UUID
                                  description: Parent batch identifier.
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                parentRunUuid:
                                  title: Parent run UUID
                                  description: Parent run identifier.
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                parentNodeUuid:
                                  title: Parent node UUID
                                  description: Parent node identifier.
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                isGroupParent:
                                  title: Is group parent
                                  description: Whether the run is a group parent.
                                  type: boolean
                                executionsFilter:
                                  title: Executions filter
                                  description: Executions filter criteria.
                                  type: object
                                  properties:
                                    conjonction:
                                      type: string
                                      enum:
                                        - or
                                        - and
                                    groups:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          conjonction:
                                            type: string
                                            enum:
                                              - or
                                              - and
                                          conditions:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: node
                                                nodeSlug:
                                                  type: string
                                                status:
                                                  type: string
                                                  enum:
                                                    - absent
                                                    - pending
                                                    - success
                                                    - error
                                                value:
                                                  type: string
                                              required:
                                                - kind
                                                - nodeSlug
                                                - status
                                        required:
                                          - conjonction
                                          - conditions
                                  required:
                                    - conjonction
                                    - groups
                                createdAfter:
                                  title: Created after
                                  description: Include runs created after this timestamp.
                                  type: string
                                createdBefore:
                                  title: Created before
                                  description: Include runs created before this timestamp.
                                  type: string
                            - anyOf:
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: runs
                                      title: Kind
                                      description: Filter kind.
                                    uuids:
                                      title: UUIDs
                                      description: Run identifiers to include.
                                      type: array
                                      items:
                                        type: string
                                    recordTitle:
                                      title: Record title
                                      description: Record title to filter by.
                                      type: string
                                    statuses:
                                      title: Statuses
                                      description: Run statuses to include.
                                      type: array
                                      items:
                                        type: string
                                        enum:
                                          - idle
                                          - pending
                                          - running
                                          - success
                                          - error
                                          - cancelling
                                          - cancelled
                                          - skipped
                                  required:
                                    - kind
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: records
                                      title: Kind
                                      description: Filter kind.
                                    ids:
                                      title: IDs
                                      description: Record identifiers to include.
                                      type: array
                                      items:
                                        type: string
                                    title:
                                      title: Title
                                      description: Record title to filter by.
                                      type: string
                                    statuses:
                                      title: Statuses
                                      description: Record statuses to include.
                                      type: array
                                      items:
                                        type: string
                                        enum:
                                          - pending
                                          - running
                                          - success
                                          - error
                                          - cancelling
                                          - cancelled
                                  required:
                                    - kind
                          title: Filter
                          description: Runs filter criteria.
                        reset:
                          anyOf:
                            - type: object
                              properties:
                                from:
                                  type: string
                                  const: lastNode
                                  title: From
                                  description: Reset from the last node.
                              required:
                                - from
                            - type: object
                              properties:
                                from:
                                  type: string
                                  const: firstNode
                                  title: From
                                  description: Reset from the first node.
                              required:
                                - from
                            - type: object
                              properties:
                                from:
                                  type: string
                                  const: nextNode
                                  title: From
                                  description: Reset from the next node.
                              required:
                                - from
                            - type: object
                              properties:
                                from:
                                  type: string
                                  const: node
                                  title: From
                                  description: Reset from a specific node.
                                nodeUuid:
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                  title: Node UUID
                                  description: Node identifier to reset from.
                              required:
                                - from
                                - nodeUuid
                          title: Reset
                          description: Reset options.
                      required:
                        - kind
                        - filter
                        - reset
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - recordIds
                          title: Kind
                          description: Data kind.
                        modelUuid:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                          title: Model UUID
                          description: Model identifier.
                        ids:
                          type: array
                          items:
                            type: string
                          title: IDs
                          description: Record identifiers.
                      required:
                        - kind
                        - modelUuid
                        - ids
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - records
                          title: Kind
                          description: Data kind.
                        records:
                          type: array
                          items:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                          title: Records
                          description: Inline records.
                      required:
                        - kind
                        - records
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - schedule
                          title: Kind
                          description: Data kind.
                        modelUuid:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                          title: Model UUID
                          description: Model identifier.
                        segmentUuid:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                          title: Segment UUID
                          description: Segment identifier.
                        changeKinds:
                          type: array
                          items:
                            type: string
                            enum:
                              - added
                              - updated
                              - removed
                              - unchanged
                          title: Change kinds
                          description: Change kinds to include.
                        skip:
                          title: Skip
                          description: Whether to skip scheduling.
                          type: boolean
                      required:
                        - kind
                        - modelUuid
                        - segmentUuid
                        - changeKinds
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - form
                          title: Kind
                          description: Data kind.
                        records:
                          type: array
                          items:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                          title: Records
                          description: Form records.
                        webhookUrl:
                          title: Webhook URL
                          description: URL to call when the batch completes.
                          type: string
                          format: uri
                        webhookSecret:
                          title: Webhook secret
                          description: >-
                            Secret used to sign webhook deliveries. When
                            provided, Cargo includes an X-Cargo-Signature header
                            (sha256=<hex-hmac>) so you can verify the payload.
                          type: string
                        parentRunUuid:
                          title: Parent run UUID
                          description: Parent run identifier.
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                        parentNodeUuid:
                          title: Parent node UUID
                          description: Parent node identifier.
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                      required:
                        - kind
                        - records
                  title: Data
                  description: Batch input data.
              required:
                - data
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  batch:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      workflowUuid:
                        type: string
                      userUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      releaseUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      nodes:
                        anyOf:
                          - type: array
                            items:
                              allOf:
                                - type: object
                                  properties:
                                    uuid:
                                      type: string
                                      format: uuid
                                      pattern: >-
                                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                    slug:
                                      type: string
                                      pattern: ^\w+$
                                    name:
                                      type: string
                                    config:
                                      type: object
                                      propertyNames:
                                        type: string
                                      additionalProperties: {}
                                    description:
                                      type: string
                                    retry:
                                      type: object
                                      properties:
                                        maximumAttempts:
                                          type: number
                                        initialInterval:
                                          type: number
                                        backoffCoefficient:
                                          type: number
                                      additionalProperties: false
                                    childrenUuids:
                                      type: array
                                      items:
                                        anyOf:
                                          - type: string
                                          - type: 'null'
                                    fallbackChildUuid:
                                      type: string
                                    fallbackOnFailure:
                                      type: boolean
                                    position:
                                      type: object
                                      properties:
                                        x:
                                          type: number
                                        'y':
                                          type: number
                                      required:
                                        - x
                                        - 'y'
                                      additionalProperties: false
                                  required:
                                    - uuid
                                    - slug
                                    - config
                                    - childrenUuids
                                    - fallbackOnFailure
                                    - position
                                  additionalProperties: false
                                - anyOf:
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          enum:
                                            - native
                                        actionSlug:
                                          type: string
                                      required:
                                        - kind
                                        - actionSlug
                                      additionalProperties: false
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          enum:
                                            - connector
                                        connectorUuid:
                                          type: string
                                        integrationSlug:
                                          type: string
                                        actionSlug:
                                          type: string
                                      required:
                                        - kind
                                        - integrationSlug
                                        - actionSlug
                                      additionalProperties: false
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          enum:
                                            - tool
                                        toolUuid:
                                          type: string
                                        templateSlug:
                                          type: string
                                        releaseUuid:
                                          type: string
                                        waitUntilFinished:
                                          type: boolean
                                      required:
                                        - kind
                                      additionalProperties: false
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          enum:
                                            - agent
                                        agentUuid:
                                          type: string
                                        templateSlug:
                                          type: string
                                        releaseUuid:
                                          type: string
                                        waitUntilFinished:
                                          type: boolean
                                      required:
                                        - kind
                                      additionalProperties: false
                          - type: 'null'
                      temporalWorkflowId:
                        type: string
                      traceUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      data:
                        anyOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: segment
                              segmentUuid:
                                type: string
                            required:
                              - kind
                              - segmentUuid
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
[...]
